"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A020>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A0C0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A200>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A2A0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A340>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A3E0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A480>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A520>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A5C0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A660>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A7A0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A840>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A8E0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2A980>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AA20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AAC0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AB60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AC00>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2ACA0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AD40>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2ADE0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AE80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AF20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2AFC0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B060>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B100>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B1A0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B240>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B2E0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B380>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B420>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B4C0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B560>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B600>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B6A0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B740>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B7E0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B880>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B920>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2B9C0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BA60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BB00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BBA0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BC40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BCE0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BD80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BE20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BEC0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E2BF60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C040>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C0E0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C180>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C220>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C2C0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C360>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C400>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C4A0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C540>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C5E0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C680>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C720>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C7C0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C860>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C900>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7C9A0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CA40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CAE0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CB80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CC20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CCC0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CD60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CE00>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CEA0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CF40>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7CFE0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D080>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D120>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D1C0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D300>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D260>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D3A0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D440>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EA4E7D4E0>)]
name: str = 'fr_HOCCN'
